### Function

# GdkX11.X11Display.open

#### Declaration [src]

    GdkDisplay*
    gdk_x11_display_open (
      const char* display_name
    )

#### Description [src]

Tries to open a new display to the X server given by `display_name`. If opening the display fails, `NULL` is returned.

#### Parameters

`display_name` | `const char*`
| name of the X display. See the `XOpenDisplay()` for details.
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GdkDisplay*`
The new display or `NULL` on error.
Ownership of the data is transferred to the caller
Can be `NULL`